Skip to main content

Link tags

Use Link tag endpoints to organise Links after they have been created.

A tag and Link must belong to the same workspace as the API key. Both route identifiers are opaque public IDs.

POST /api/v1/links/{id}/tags

You can attach one tag:

{
"tag_id": "01K0M5ABCD7EFGHJKMNPQRSTVW"
}

Or multiple tags:

{
"tag_ids": [
"01K0M5ABCD7EFGHJKMNPQRSTVW",
"01K0M5BCDE8FGHJKMNPQRSTVWX"
]
}

Example:

curl -X POST https://api.jaww.ws/api/v1/links/01K0M4ZN8X7P9Q2R3S4T5V6W7X/tags \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_BYTES_API_KEY" \
-d '{
"tag_ids": [
"01K0M5ABCD7EFGHJKMNPQRSTVW",
"01K0M5BCDE8FGHJKMNPQRSTVWX"
]
}'

Successful response:

{
"message": "Tag attached successfully.",
"tags": [
{
"id": "01K0M5ABCD7EFGHJKMNPQRSTVW",
"name": "Coffee tasting",
"slug": "coffee-tasting"
},
{
"id": "01K0M5BCDE8FGHJKMNPQRSTVWX",
"name": "Print",
"slug": "print"
}
]
}
DELETE /api/v1/links/{id}/tags/{tagId}

Example:

curl -X DELETE https://api.jaww.ws/api/v1/links/01K0M4ZN8X7P9Q2R3S4T5V6W7X/tags/01K0M5ABCD7EFGHJKMNPQRSTVW \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_BYTES_API_KEY"

Successful deletion returns:

204 No Content

Identifier rules​

  • {id} is the Link public ID.
  • {tagId}, tag_id and tag_ids use tag public IDs.
  • Numeric database IDs are not accepted by the Developer API.
  • Public IDs do not replace workspace authorisation checks.

Common errors​

No tag supplied​

422 Unprocessable Content
404 Not Found

Tag not found​

404 Not Found

Tag belongs to another workspace​

422 Unprocessable Content
{
"message": "One or more tags do not belong to this workspace.",
"errors": {
"tag_ids": [
"One or more tags do not belong to this workspace."
]
}
}